import { MarkInfo, MarkOptions, SelectionInfo } from './types';
/**
 * 计算选中文本在文档中的位置
 */
export declare function countSelectionInfo(): SelectionInfo | boolean;
/**
 * 渲染标记文本
 * @param MarkInfo
 */
declare function render(mark: MarkInfo): boolean;
declare type AfterFn = (mi: MarkInfo, lastRes?: any) => any;
declare const setAfterMark: (fn: AfterFn) => void;
declare const setMarkTagName: (tagname: string) => string;
declare const setDefaultClass: (className: string) => string;
export { render, setAfterMark, setMarkTagName, setDefaultClass, };
export default function (options?: MarkOptions, callback?: (mi: MarkInfo, success: boolean) => any): MarkInfo | boolean | any;
